package cn.reghao.bnt.web.devops.machine.model.vo;

import cn.reghao.bnt.web.devops.machine.model.po.MachineHost;
import lombok.Data;

/**
 * @author reghao
 * @date 2020-10-19 15:02:59
 */
@Data
public class MachineDetail {
    private String machineId;
    private String machineIpv4;
    private String bootTime;
    private String osArch;
    private String osName;
    private String osVersion;
    private String agentVersion;
    private String status;
    private int used;

    public MachineDetail(MachineHost machineHost, String bootTime, String status, int used) {
        this.machineId = machineHost.getMachineId();
        this.machineIpv4 = machineHost.getMachineIpv4();
        this.bootTime = bootTime;
        this.osArch = machineHost.getMachineInfo().getArch();
        this.osName = machineHost.getMachineInfo().getName();
        this.osVersion = machineHost.getMachineInfo().getVersion();
        this.agentVersion = machineHost.getMachineInfo().getAgentVersion();
        this.status = status;
        this.used = used;
    }
}
